%if 0%{?fedora} < 13 || 0%{?rhel} < 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%global package WebFlash
%global alphaver a9

Name:           python-webflash
Version:        0.1
Release:        0.11.%{alphaver}%{?dist}
Summary:        Portable flash messages for WSGI apps

Group:          Development/Languages
License:        MIT
URL:            http://python-rum.org/wiki/WebFlash
Source0:        http://pypi.python.org/packages/source/W/%{package}/%{package}-%{version}%{alphaver}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel python-setuptools
BuildRequires:  python-nose python-simplejson
BuildRequires:  python-coverage

Requires:       python-simplejson

%description
WebFlash is a library to display "flash" messages in python web applications.
These messages are usually used to provide feedback to the user (eg: you
changes have been saved, your credit card number has been stolen, ...). One
important characteristic they must provide is the ability to survive a redirect
(ie: display the message in a page after being redirected from a form
submission).

%prep
%setup -q -n %{package}-%{version}%{alphaver}

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

%check
PYTHONPATH=$(pwd) nosetests

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{python_sitelib}/*


%changelog
* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.1-0.11.a9
- Replace python-setuptools-devel BR with python-setuptools

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.10.a9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.9.a9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.8.a9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.7.a9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.6.a9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.5.a9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.1-0.4.a9
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jun 28 2010 Toshio Kuratomi <toshio@fedoraproject.org> 0.1-0.3.a9
- define => global
- Get rid of empty %%doc

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.2.a9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 21 2009 Luke Macken <lmacken@redhat.com> 0.1-0.1.a9
- Update to 0.1a9
- Add python-coverage to the BuildRequires

* Wed Jan 21 2009 Luke Macken <lmacken@redhat.com> 0.1-0.1.a8
- Initial package for Fedora
